# Generated by Django 5.0.6 on 2024-07-09 09:51

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('intent', '0008_context_expectation_target_and_more'),
    ]

    operations = [
        migrations.AlterField(
            model_name='expectationobject',
            name='object_type',
            field=models.CharField(choices=[('RAN_SUBNETWORK', 'RAN_SUBNETWORK'), ('EDGE_SERVICE_SUPPORT', 'EDGE_SERVICE_SUPPORT'), ('5GC_SUBNETWORK', '5GC_SUBNETWORK'), ('NEMO_WORKLOAD', 'NEMO_WORKLOAD'), ('5G_SLICE_FLOW', '5G_SLICE_FLOW'), ('L2SM_NETWORK', 'L2SM_NETWORK')], default='NEMO_WORKLOAD', help_text='It describes the expectation object type which can be supported by a specific intent handling function of MnS producer. ', max_length=20),
        ),
    ]
